Requires read_products access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20260901/products/products.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get a list of products. Specify query parameters to define the product query scope.
Query Parameters
  • collection_id string
    The unique identifier for the product collection.
    Maximum length: 64
    Example: 12248721639068681442230282
  • created_at_min string
    Specify the earliest creation time for the product to be queried. Products created at or after this time will be returned. Format: ISO 8601.
    Example: 2021-09-03T14:11:54+00:00
  • ids string
    The product IDs. Start querying products from this specified ID (including this ID).
    Example: 16057850264845250791280282,16057850264845250333280282
  • status string
    The status of the product. Valid values are:
    • active: product published
    • draft: product unpublished
    • archived: product archived
  • title string
    The title of the product.
    Maximum length: 255
    Example: This is a title.
  • handle string
    The semantically unique identifier for the product, which is generated based on title by default.
    Maximum length: 255
    Example: product-handle
  • order_by string
    The sorting rule based on product creation time. Valid values are:
    • created_at_asc: Sort products from the earliest to the latest creation time.
    • created_at_desc: Sort products from the latest to the earliest creation time.
    Example: created_at_desc
  • page_info string
    The unique identifier for pagination queries, used to locate a specific page.
    This parameter value is obtained from the link value in the response header of this API after you have queried the pagination information.
    For example, if the link value you obtained is <https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next" , the value of page_info is eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9 .
    For more information on how to use pagination, refer to Paging Mechanism.
  • since_id string
    The ID of a specific product. Start querying products from this specified ID.
    Example: 16057850264845250791280282
  • vendor string
    The brand or vendor of the product.
    Maximum length: 255
    Example: SHOPLINE
  • limit string
    The quantity limit of products to be queried.
    Value range: 1-50
    Default Value: 50
  • created_at_max string
    Specify the latest creation time for the product to be queried. Products created at or before this time will be returned. Format: ISO 8601.
    Example: 2021-09-02T14:11:54+00:00
  • fields string
    Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the products object in the response.
    Example: title,id,created_at
  • product_category string
    The product category customized by the merchant.
    Maximum length: 255
    Example: Electronics
  • updated_at_max string
    Specify the latest update time for the product to be queried. Products updated at or before this time will be returned. Format: ISO 8601.
    Example: 2021-09-02T14:11:54+00:00
  • updated_at_min string
    Specify the earliest update time for the product to be queried. Products updated at or after this time will be returned. Format: ISO 8601.
    Example: 2021-09-03T14:11:54+00:00
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • link
    The URL link that provides the pagination data. You can obtain page_info from this parameter for subsequent pagination requests.
    This parameter is returned when the requested page has a previous or next page.
    For more information on how to use pagination, refer to Paging Mechanism.
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • productsobject[]
    A list of products.
  • body_html string
    The product description.
  • created_at string
    The date and time when the product was created. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • featured_mediaobject
    The cover media of the product.
  • alt string
    The alternative textual description of the product media, usually a word or phrase with the characteristics or content of the media.
    Example: This is a media alt.
  • content_type string
    The type of the media. Valid values are:
    • IMAGE:Represents a SHOPLINE image.
    • VIDEO:Represents a SHOPLINE video.
    • EXTERNAL_VIDEO:Represents an external video.
  • id string
    The unique identifier for the product media.
    Example: 5759070976424132652
  • preview_image string
    The URL of the product media cover image.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • src string
    The link to the media.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • handle string
    The semantically unique identifier for the product, which is generated based on title by default.
    Example: product-handle
  • id string
    The unique identifier for the product.
    Example: 16057850264845250791280282
  • imageobject
    The cover image of the product.
    DEPRECATED:This parameter is deprecated from API version v20260301.
  • alt string
    The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • id string
    The unique identifier for the image.
    Example: 5785060242207917075
  • src string
    The link to the image.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • imagesobject[]
    A list of product images.
    DEPRECATED:This parameter is deprecated from API version v20260301.
  • alt string
    The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • id string
    The unique identifier for the product image.
    Example: 5785060242207917075
  • src string
    The link to the product image.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • mediaobject[]
    A list of product media.
  • alt string
    The alternative textual description of the product media, usually a word or phrase with the characteristics or content of the media.
    Example: This is a media alt.
  • content_type string
    The type of the media. Valid values are:
    • IMAGE:Represents a SHOPLINE image.
    • VIDEO:Represents a SHOPLINE video.
    • EXTERNAL_VIDEO:Represents an external video.
  • id string
    The unique identifier for the product media.
    Example: 5759070976424132652
  • preview_image string
    The URL of the product media cover image.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • src string
    The link to the media.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • optionsobject[]
    A list of product options.
  • id string
    The unique identifier for the option.
    Example: 16158068291703878544960282
  • name string
    The name of the option.
    Example: Color
  • option_valuesobject[]
    A list of product option values.
  • id string
    The unique identifier for the option value.
    Example: 16050375155238626683133099
  • value string
    The option value.
    Example: red
  • product_id string
    The unique identifier for the product corresponding to the option.
    Example: 16057850264845250791280282
  • values array
    A list of option values.
    Example: ["red,green,white"]
  • values_colors map
    The mapping relationship between option values and hexadecimal color codes.
    Example: {"blue":"#87CEEB","red":"#D22222"}
  • values_images map
    The mapping relationship between the option values and the corresponding image URLs.
    Example: {"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}
  • path string
    The relative path of the product page.
    Example: /products/clothes
  • product_behavior string
    Used to identify the special behavior of the product. This field returns a value only under certain conditions.
    For example, if the product has potential risks, the field returns a value.
    Example: RISK, HIDDEN
  • product_category string
    The product category customized by the merchant.
    Example: Electronics
  • product_type string
    The source of the product. Valid values are:
    • NORMAL : products maintained in the SHOPLINE Admin
    • POD_TEMPORARY : temporary products on the Product Option Customizer&ProductBundler app
    • TEMPORARY : other temporary products
  • published_at string
    The date and time when the product was published to the online store. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • published_scope string
    The published scope of product sales channels. The value of this field is fixed to web, indicating an online store.
  • spu string
    The identifier customized for the product by the merchant. It is distinct from product.id returned by SHOPLINE.
    Example: S00000001
  • status string
    The status of the product. Valid values are:
    • active: product published
    • draft: product unpublished
    • archived: product archived
  • subtitle string
    The subtitle of the product.
    Example: This is a subtitle
  • tags string
    A list of tags of the product.
    Example: tag1, tag2
  • template_path string
    The theme template of the product.
    Example: templates/product.product_template_name.json
  • title string
    The title of the product.
    Example: This is a Product title
  • updated_at string
    The date and time when the product was last updated. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • variantsobject[]
    A list of product variants.
  • barcode string
    The barcode of the variant.
    Example: T0000001
  • compare_at_price string
    The original price of the variant. The value is rounded to two decimal places.
    Example: 129.99
  • id string
    The unique identifier for the variant.
    Example: 18057850264851626133510282
  • imageobject
    The image of the variant.
  • alt string
    The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • id string
    The unique identifier for the variant image.
    Example: 5785060242207917075
  • src string
    The link to the variant image.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • inventory_item_id string
    The unique identifier for the inventory item.
    Example: 5785060242375689228
  • inventory_policy string
    Indicates whether the variant is allowed to be oversold.
    • deny: Overselling is not allowed.
    • continue: Overselling is allowed.
  • inventory_quantity integer
    The total inventory quantity at all storage locations.
    Example: 99
  • inventory_tracker boolean
    Indicates whether the inventory tracking is enabled.
    • true: Inventory tracking is enabled.
    • false: Inventory tracking is not enabled.
  • option1 string
    Information of the first option of the variant.
    Example: red
  • option2 string
    Information of the second option of the variant.
    Example: xl
  • option3 string
    Information of the third option of the variant.
    Example: cotton
  • option4 string
    Information of the fourth option of the variant.
    Example: short
  • option5 string
    Information of the fifth option of the variant.
    Example: casual
  • position integer
    The ordering position of the variant within the variant list.
    Example: 1
  • price string
    The selling price of the variant. The value is rounded to two decimal places.
    Example: 90.22
  • product_id string
    The unique identifier for the product corresponding to the variant.
    Example: 16057850264845250791280282
  • required_shipping boolean
    Indicates whether the variant requires shipping.
    • true: Shipping is required.
    • false: Shipping is not required.
  • sku string
    The product SKU. It is distinct from variant.id returned by SHOPLINE.
    Example: S000000001
  • taxable boolean
    Indicates whether the variant is subject to tax.
    • true: Tax is required.
    • false: Tax is not required.
  • title string
    The title of the variant, assembled from the option value of the variant.
    Example: red · xl
  • weight string
    The weight of the variant. The value is rounded up to two decimal places.
    Example: 0.23
  • weight_unit string
    The unit of weight for the variant. Valid values are:
    • g: gram
    • kg: kilogram
    • lb: pound
    • oz: ounce
    • zh_kg: kilogram
  • vendor string
    The brand or vendor of the product.
    Example: SHOPLINE
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

header required
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/products/products.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get prodcuts with specified product IDs
Response
{
"products": [
{
"body_html": "This is a description",
"created_at": "2026-04-27T20:33:25-11:00",
"featured_media": {
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499983006624402409",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"handle": "shopline-2026-4-28-1",
"id": "16074999775283433032262925",
"image": {
"alt": "This is a media alt",
"id": "7499983006624402409",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"images": [
{
"alt": "This is a media alt",
"id": "7499983006624402409",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"is_gift_card": false,
"media": [
{
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499983006624402409",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"options": [
{
"id": "16174999775283936348792925",
"name": "Color",
"option_values": [
{
"id": "16274999775283936348812925",
"value": "Red"
}
],
"product_id": "16074999775283433032262925",
"values": [
"Red"
],
"values_colors": {},
"values_images": {
"Red": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
},
{
"id": "16174999775283936348862925",
"name": "Size",
"option_values": [
{
"id": "16274999775283936348882925",
"value": "L"
}
],
"product_id": "16074999775283433032262925",
"values": [
"L"
],
"values_colors": {},
"values_images": {
"L": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
}
],
"path": "/my-product-29",
"product_behavior": "",
"product_category": "Electronic",
"product_type": "NORMAL",
"published_at": "2026-04-27T20:33:25-11:00",
"published_scope": "web",
"spu": "S000001",
"standard_category_id": "",
"status": "active",
"subtitle": "This is a subtitle",
"tags": "tag1 tag2",
"template_path": "templates/product.json",
"title": "A product title",
"updated_at": "2026-04-27T20:38:52-11:00",
"variants": [
{
"barcode": "B000000001",
"compare_at_price": "11.20",
"id": "18074999775283936348752925",
"image": {
"alt": "This is an image alt",
"id": "7499983006624402409",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"inventory_item_id": "7499977528863367103",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "Red",
"option2": "L",
"option3": null,
"option4": null,
"option5": null,
"position": 1,
"price": "10.11",
"product_id": "16074999775283433032262925",
"required_shipping": true,
"sku": "T0000000001",
"taxable": true,
"title": "Red · L",
"weight": "1.20",
"weight_unit": "kg"
}
],
"vendor": "SHOPLINE"
},
{
"body_html": "This is a description",
"created_at": "2026-04-27T20:50:01-11:00",
"featured_media": {
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499994236269382412",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"handle": "shopline-2026-4-29",
"id": "16074999942357157537392925",
"image": {
"alt": "This is a media alt",
"id": "7499994236269382412",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"images": [
{
"alt": "This is a media alt",
"id": "7499994236269382412",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"is_gift_card": false,
"media": [
{
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499994236269382412",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"options": [
{
"id": "16174999942357493081762925",
"name": "Color",
"option_values": [
{
"id": "16274999942357493081782925",
"value": "Red"
}
],
"product_id": "16074999942357157537392925",
"values": [
"Red"
],
"values_colors": {},
"values_images": {
"Red": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
},
{
"id": "16174999942357493081832925",
"name": "Size",
"option_values": [
{
"id": "16274999942357493081852925",
"value": "L"
}
],
"product_id": "16074999942357157537392925",
"values": [
"L"
],
"values_colors": {},
"values_images": {
"L": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
}
],
"path": "/my-product-30",
"product_behavior": "",
"product_category": "Electronic",
"product_type": "NORMAL",
"published_at": "2026-04-27T20:50:01-11:00",
"published_scope": "web",
"spu": "S000001",
"standard_category_id": "",
"status": "active",
"subtitle": "This is a subtitle",
"tags": "tag1 tag2",
"template_path": "templates/product.json",
"title": "A product title",
"updated_at": "2026-04-27T20:50:02-11:00",
"variants": [
{
"barcode": "B000000001",
"compare_at_price": "11.20",
"id": "18074999942357493081722925",
"image": {
"alt": "This is an image alt",
"id": "7499994236269382412",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"inventory_item_id": "7499994236252595777",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "Red",
"option2": "L",
"option3": null,
"option4": null,
"option5": null,
"position": 1,
"price": "10.11",
"product_id": "16074999942357157537392925",
"required_shipping": true,
"sku": "S000001-106-001-A pro",
"taxable": true,
"title": "Red · L",
"weight": "1.20",
"weight_unit": "kg"
}
],
"vendor": "SHOPLINE"
}
]
}
Was this article helpful to you?